Name:           perl-PathTools
Version:        3.75
Release:        6%{?dist}
Summary:        PathTools Perl module (Cwd, File::Spec)
License:        (GPL+ or Artistic) and BSD
URL:            https://metacpan.org/release/PathTools
Source0:        https://cpan.metacpan.org/authors/id/X/XS/XSAWYERX/PathTools-%{version}.tar.gz
Patch0:         PathTools-3.74-Disable-VMS-tests.patch
# build
BuildRequires:  coreutils, findutils, gcc, make, perl-devel, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
# File::Basename not needed because of removed File::Spec::VMS
BuildRequires:  perl(Carp), perl(constant), perl(Errno), perl(Exporter), perl(Scalar::Util), perl(strict), perl(XSLoader)
# Tests:
BuildRequires:  perl(Carp::Heavy), perl(Config), perl(File::Path), perl(File::Temp), perl(lib), perl(Test::More) >= 0.88, perl(warnings)
Requires:       perl(Carp), perl(Errno), perl(Scalar::Util)
Recommends:     perl(XSLoader)

%{?perl_default_filter}

%description
This is the combined distribution for the File::Spec and Cwd modules.

%prep
%autosetup -p1 -n PathTools-%{version}

rm lib/File/Spec/VMS.pm



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="${optflags}"
%{make_build}



%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*



%check
make test



%files
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/File/
%{_mandir}/man3/*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.75-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.75-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.75-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.75-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.75-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 Zhao Zhen <jeremiazhao@tencent.com> - 3.75-1
- Initial building.
